
Auto Multiple Choice - Feature # 194: Student Code in vertical columns allignments

Status: Closed Priority: Normal
Author: Nikola Z. Guscic Category: AMC-TXT
Created: 07/25/2013 Assignee: Alexis Bienvenüe
Updated: 08/19/2014 Due date:
Description: For exams created using AMC-TXT it would be nice to have control of Student Code alignment, whether we 

want to have the numbers arranged in horizontal rows or vertical columns. At this time student code is 
automatically arranged in horizontal rows without the way to change that. For example one could have an 
extra option @CodeV:1@. 

History
07/27/2013 11:06 am - Alexis Bienvenüe
- Status changed from New to Feedback

Test option _CodeDigitsDirection_ (set it to @vertical@ or @horizontal@) from revision r1391.

07/27/2013 03:39 pm - Nikola Z. Guscic
Working with revision 1.2.1394-5 when I try to specify option 'CodeDigitsDirection:vertical' I get the following error message:

@AMC-TXT(Line 10) Unknown option: CodeDigitsDirection@

07/27/2013 03:45 pm - Nikola Z. Guscic
Wait, i am sorry, it's a wrong version of AMC, I was using 1.2.1388-5 from Ubuntu testing ppa. 

07/30/2013 12:41 pm - Nikola Z. Guscic
I've updated to the latest version 1.2.1394-5 and played with it for the last couple of days. @CodeDigitsDirection@ option works well and I haven't 
noticed any regressions. I've tried various settings of the answer sheet and added many additional elements to it using @LaTex@ code. Student code 
was always properly positioned and spaced relative to other elements.

Thank you for implementing this so quickly!

07/31/2013 11:08 am - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from Feedback to Resolved

Thanks for testing!

08/19/2014 05:55 am - Anirvan Sarkar
- Assignee set to Alexis Bienvenüe

- Status changed from Resolved to Closed
